---
title: List CF1 Sites
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Transit](https://developers.cloudflare.com/api/go/resources/magic_transit)

[Cf1 Sites](https://developers.cloudflare.com/api/go/resources/magic_transit/subresources/cf1_sites)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List CF1 Sites

client.MagicTransit.Cf1Sites.List(ctx, query) (\*SinglePage\[[Cf1Site](<https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/magic/cf1\_sites

Lists CF1 Sites associated with an account. A CF1 Site represents a physical customer network location with optional geographic coordinates.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

<details>

<summary>

query Cf1SiteListParams

</summary>

AccountID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf1_sites%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Cf1Site struct{…}

</summary>

Name string

A human-provided name describing the CF1 Site that should be unique within the account.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

ID stringOptional

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedOn TimeOptional

formatdate-time

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

Description stringOptional

A human-provided description of the CF1 Site.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

Location <a href="https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)">Cf1SiteLocation</a>Optional

</summary>

Lat float64Optional

Latitude of the CF1 Site.

formatfloat

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20lat">Link to this property</a>

Long float64Optional

Longitude of the CF1 Site.

formatfloat

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20long">Link to this property</a>

Name stringOptional

Name of nearest town, city, or village.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location">Link to this property</a>

ModifiedOn TimeOptional

formatdate-time

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)>)

### List CF1 Sites

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.MagicTransit.Cf1Sites.List(context.TODO(), magic_transit.Cf1SiteListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "name": "Pad 34",
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2019-12-27T18:11:19.117Z",
      "description": "Launch Pad 34",
      "location": {
        "lat": 28.521339842093845,
        "long": -80.56092644815843,
        "name": "Cape Canaveral"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "name": "Pad 34",
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2019-12-27T18:11:19.117Z",
      "description": "Launch Pad 34",
      "location": {
        "lat": 28.521339842093845,
        "long": -80.56092644815843,
        "name": "Cape Canaveral"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true
}
```